<?php

/********
	EXEMPLE UTILISATION API SMS-PAS-CHER.COM (v0.5)
	-----
	Pour utiliser cette API, vous devez tre obligatoirement
	inscrit sur notre site internet.
	-----
	N'hsitez pas  nous contacter afin de nous signaler un
	bug ou afin d'apporter une amlioration  l'API.
	-----
	contact@sms-pas-cher.com
	http://www.sms-pas-cher.com
********/

try {

	# Votre cl API
	$apiKey = 'azerty1234';

	/*
		La cl API est  rcuprer sur le site internet http://www.sms-pas-cher.com
		dans la rubrique "Mon Compte" puis "Utilisation API...".
	*/

	# Connexion  l'API
	$api = new SoapClient('http://api.sms-pas-cher.com/api.wsdl');

	/*
		Si vous avez une erreur lors de la connexion  l'api, vous pouvez remplacer
		la ligne 22 de ce fichier par la ligne suivante :
		$api = new SoapClient('http://api.sms-pas-cher.com/api.wsdl', array('soap_version' => SOAP_1_2));
	*/

	# Connexion avec votre cl API
	$connexion = $api->login($apiKey);
	/*
		Paramtres ;
			- Votre cl API

		Retours possibles ;
			- MISSING_KEY : Votre cl API est vide
			- INVALID_KEY : Impossible de vous connecter avec la cl API renseign
			- ACCOUNT_INVALIDEMAIL : Votre adresse email n'est pas valid
			- ACCOUNT_INVALIDMOBILE : Votr mobile n'est pas valid
			- OK : Connexion valid
	*/

	# Rcupration des crdits gratuits restants pour la journe
	$creditsRestants = $api->getCreditsFree();
	/*
		Paramtres ;
			- Aucun

		Retours possibles ;
			- Nombre de crdits disponibles
	*/

	# Envoi SMS
	$envoyerSms = $api->sendSms('numero', 'message', 'date', 'type');
	/*
		Paramtres ;
			- Numro du destinataire
			- Votre message (UTF-8 !)
			- Date d'envoie (Timestamp)
			- Type de message (1 = Normal, 0 = Flash)

		Retours possibles ;
			- SESSION_INVALID : Vous n'avez pas russi  vous connecter avec votre cl API
			- NUMBER_INVALID : Numro du destinataire invalide
			- MESSAGE_EMPTY : Le message est vide
			- MESSAGE_MAXALLOWEDSIZE : Le message est suprieur  6 sms
			- SMS_LIMIT_REACHED : Limite journalire en sms atteinte
			- OK : Envoi effectu
	*/

	# Ajouter Contact
	$ajouterContact = $api->addContact('numero', 'informations', 'groupe');
	/*
		Paramtres ;
			- Numro de tlphone du contact
			- Informations du contact (UTF-8 !)
			- Groupe du contact (UTF-8 !)

		Retours possibles ;
			- SESSION_INVALID : Vous n'avez pas russi  vous connecter avec votre cl API
			- NUMBER_INVALID : Numro du contact invalide
			- CONTACT_ALREADY_EXIST : Le contact existe dj
			- OK : Contact ajout
	*/

	# Ajouter Groupe
	$ajouterGroupe = $api->addGroupe('groupe');
	/*
		Paramtres ;
			- Titre du groupe (UTF-8 !)

		Retours possibles ;
			- SESSION_INVALID : Vous n'avez pas russi  vous connecter avec votre cl API
			- NAME_EMPTY : Titre du groupe non renseign
			- GROUP_ALREADY_EXIST : Le groupe existe dj
			- OK : Groupe ajout
	*/

	# Rcupration liste des sms envoys
	$listeMessages = $api->getSms();
	/*
		Paramtres ;
			- Numro (optionnel)

		Retours possibles ;
			- Array avec la liste des messages
				-> id (Identifiant unique du sms)
				-> numero
				-> message
				-> mode (0 = flash, 1 = normal)
				-> nbsms
				-> added (timestamp)
				-> send (timestamp)
	*/

	# Rcupration liste des sms reus
	$listeReponses = $api->getAnswers();
	/*
		Paramtres ;
			- Numro (optionnel)

		Retours possibles ;
			- Array avec la liste des rponses
				-> id (Identifiant unique de la rponse)
				-> numero
				-> message
				-> contact
				-> receipt (timestamp)
	*/

	# Rcupration liste des contacts
	$listeContacts = $api->getContacts();
	/*
		Paramtres ;
			- Numro (optionnel)

		Retours possibles ;
			- Array avec la liste des contacts
				-> id (Identifiant unique du contact)
				-> numero
				-> informations
				-> groupe
				-> added (timestamp)
	*/

	# Rcupration liste des groupes
	$listeGroupes = $api->getGroups();
	/*
		Paramtres ;
			- Aucun

		Retours possibles ;
			- Array avec la liste des groupes
				-> id (Identifiant unique du groupe)
				-> titre
				-> contacts (Nombre de contacts)
				-> added (timestamp)
	*/

	# Rcuprer l'id d'un sms / contact / groupe ajout
	$lastInsertId = $api->getLastInsertId();
	/*
		Paramtres ;
			- Aucun

		Retours possibles ;
			- Id du dernier enregistrement ajout

		/!\ Attention /!\
		Vous devez utiliser cette fonction
		juste aprs avoir appel la mthode
		permettant d'ajouter le sms, contact
		ou le groupe.
	*/
		
	# Suppression d'un sms
	$deleteSms = $api->deleteSms('id');
	/*
		Paramtres ;
			- Id unique du sms

		Retours possibles ;
			- Aucun
	*/

} catch(SoapFault $erreur) {
	echo $erreur;
}
